
(defun c:CET (/ estilo altura font h escala)
  ; Solicitar el nombre del estilo al usuario
  (setq estilo (getstring "\nIngresa el nombre del estilo de texto: "))
  
  ; Solicitar la altura del texto al usuario
  (setq h (getreal (strcat "\nIngresa la altura del texto para '" estilo "' en milímetros: ")))
  
  ; Solicitar la escala
  (setq escala (getreal (strcat "\nIngresa la ESCALA del texto para '" estilo "': ")))
  
  ; Solicitar el tipo de fuente al usuario, ofreciendo una opción predeterminada
  (initget 6)
  (setq font (getstring t (strcat "\nIngresa el tipo de fuente o presiona [Enter] para usar la fuente 'romans.shx': ")))
  (if (= font "")
    (setq font "romans.shx")
  )
  
  (setq altura (/ (* escala h) 1000))
  
  ; Verificar que todos los datos necesarios están proporcionados
  (if (and estilo altura font)
    (progn
      ; Comando para crear el estilo
      (command "_.-style" estilo font altura 1 0 "N" "N" "")
      (princ (strcat "\nEstilo de texto '" estilo "' creado con fuente '" font "' y altura " (rtos altura) "."))
    )
    (princ "\nFaltan datos para crear el estilo de texto. Intenta de nuevo.")
  )
  (princ)
)

; Inicialización del comando
(princ "www.ingenieriafacil.com, created by Luis Cardenas")
(princ)


